package io.scanbot.sdk.flutter.camera


import android.content.Context
import android.util.AttributeSet
import android.view.View
import android.widget.FrameLayout
import io.scanbot.barcode.sdk.flutter.R
import io.scanbot.sdk.ui.camera.ScanbotCameraXView

class ScanWrapper @JvmOverloads constructor(
    context: Context, attrs: AttributeSet? = null, defStyleAttr: Int = 0
) : FrameLayout(context, attrs, defStyleAttr) {
    private var cameraView: ScanbotCameraXView? = null
    val cameraXView: ScanbotCameraXView
        get() {
            return cameraView!!
        }

    init {
        init()
        cameraView = findViewById(R.id.barcodeCameraView)
    }

    private fun init() {
        View.inflate(context, R.layout.scanbot_wrapper, this)
    }

}
