//
//  SBSDKAESEncrypter.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 13.07.21.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKAESEncrypter {
    convenience init?(from dictionary: [String: Any?]) {
        guard let password = dictionary["password"] as? String,
            let modeString = dictionary["mode"] as? String else {
                return nil
        }
        let mode = SBSDKAESEncrypterMode(from: modeString)
        
        self.init(password: password, mode: mode)
    }
}
