//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation

extension UIInterfaceOrientationMask {
    init(from string: String) {
        switch string {
        case "PORTRAIT": self = .portrait
        case "LANDSCAPE": self = .landscapeLeft
        case "PORTRAIT_UPSIDE_DOWN": self = .portraitUpsideDown
        case "LANDSCAPE_LEFT": self = .landscapeLeft
        case "LANDSCAPE_RIGHT": self = .landscapeRight
        case "NONE": self = .all
        default: self = .all
        }
    }
}
